Pluto 3.09   30.Sep.13

1.  Increased the mime type decoding buffer from 60 to 127 per RFC4288, so the
    verbose office document XML mimetype is correctly decoded (eg. for 
    Word 'docx' files).

2.  Pluto will now display the first text portion of a multipart/alternative
    content type message where the text was sent using a base64 transfer 
    encoding. Previously, this would be shown as a blank message with 1 or 
    more attachments. Because Pluto stores mails unprocessed, this change 
    is retrospective - reopening any such messages should now show them 
    correctly.

3.  Fix for data abort in fwrite() when trying to recreate a missing 
    article file.

4.  Increased Mail & News backup limit from 99 to 255.

5.  Moved 'Set References' from Main to Articles menu, added 'Help...' entry 
    under 'Info'

6.  Can now use '%T' in the Y1-4 message tokens to get both date and time so 
    that a reply is written for example "On 12 Sep at 12:34, John Smith wrote:"

7.  Added Help to iconbar menu and included this StrongHelp manual.

Pluto 3.08   04.Aug.13

1.  Dragging text with foreign line endings directly into the editor window
    no longer shows '#' at the end of every line - the same logic that is
    used for dragging text files to the iconbar icon is used instead.


Pluto 3.07   06.Jul.13

1.  Added CTRL-K (delete without affecting clipboard) to compliment CTRL-C and
    CTRL-V and CTRL-X (copy/paste/cut to clipboard) when the editor is in 
    clipboard mode.

2.  Tidied 'ArticleFile' 'FilterOpts' 'FindFault' 'ProgInfo' templates.

3.  Menu title for "Write Message" is no longer truncated at 12 characters.

4.  Fix for double correction of timezone on machines with a recent C library


Pluto 3.06   11.Apr.13

1.  Rebuilt for ARMv7. Relicenced under the version 3 GPL.


Pluto 3.03j  08.May.04

1.  Added "Hermes" in the Preferences->News/Mail->Mail_transport menu


Pluto 3.03   02.Mar.03

1.  New filter type: "Content type" for checking the Content-type line
    of message headers (eg. look for "multipart/" or "text/html" or
    "charset=iso-8859-2")

2.  Added  Status->Outgoing  and Status->Not_outgoing  to the article
    list menu so you can set and remove "outgoing" (i.e. log copy)
    status to articles.
    
3.  Added "Expire Locked" option to Box Edit dialogue. If set then
    Locked and Marked articles will be included in expiry.
    
4.  Shift-drag in various list windows to select a range of items.

5.  Preferences->News/Mail->Receipt_ack enhanced to provide options:
    - don't send receipt acknowledgements
    - send them automatically
    - generate acks but "hold" them in the output Q
    - as above and automatically open the Q window when acks are generated

6.  Address book.
    Selection->Copy added to address list menu.
    
    "ALL" added to Folders menu, to display all addresses in all folders.
    
    "Wordwrap" field added to Address Entry dialogue so that a different
    wordwrap length can be set for emails to specified addresses.
    
    "Initially open" added to address book menu so specify which folder
     should be shown initially when the address book is first opened.
    
Template changes:
   "Boxes" - add "Expire Locked" option
   "Reply" - rename "Reply - re-send" as "Re-send" and change its position.
   "Addr" - add "Wordwrap" field
   "NewsPrefs" - change "Receipt ack" to a menu field.


Pluto 3.02  19.Feb.03

1.  New feature, External Boxes - archives of messages which can be
    stored as RISC_OS directories, separate from Pluto. Clicking on
    an External Box archive opens it into Pluto.
    
2.  New sorting type, "Year". Sort messages into groups for each year
    (and within each year sorted into Threads or whatever you want).
    This may be useful to use with External Box archives.
    

Pluto 3.01  08.Feb.03

1.  Version suitable for both 26-bit and 32-bit (Iyonix) RISC-OS.

2 . Improvements to the Address Book.
    Addresses can be organised into different folders.
    A signature and sender email address can be specified for use with
    each addressee.
    
3.  Decodes YENC attachments.

4.  Added option:  Preferences->News/Mail->Prefer_Fresco_browser
    Forces Pluto to try passing URLs to Fresco rather than using the
    AcornURI protocol that other browsers use. Set this if clicking a
    URL doesn't pass it to Fresco.
    
5.  Added option:  Preferences->Filter->Move_to_box
    Puts messages into a specified Box if Filters have set a score lower
    than a specified value. Previously low-score articles could only be
    discarded.
    
6.  Signature files:
    $tagfile <filename>
       Specifies a tag file name (in !Pluto.Choices) to be used when this
       Signature is used.
    $tag
       Insert the tag at this point in the signature.
    
7.  "Limit recipients" option added to Preferences->News/Mail
    If an email has more recipients than this limit then Pluto sends
    multiple copies, each of which has fewer recipients than the limit.
    Zero indicates no limit. This can be used to overcome restrictions by
    ISPs on the number of recipients of an email.
    
8.  Spellcheck. Includes suggestions from the User Dictionary.
    Includes suggestions where a missing space has run two words together.

9.  Filter priorities, range increased to 0 to 99

10. Indication is given in the Thread level status icon to indicate whether
    that Thread includes any Locked or Marked articles.
    
11. Edit->Unquote added to Article Viewer and Write News/Mail window menus
    to remove a level of quoting from selected text.
    
12. Warning given in the Write Mail window in MIME/PC mode for an attachment
    which doesn't include a filename suffix and for which one can't be
    determined from the RISC_OS filetype.
    
13. Filters. New Filter type "In address book" applies if the sender's
    email address is in the address book.

14. "Score" can be used for sorting and can be displayed in article lists.
    Maximum number of sorting types has been increased.
    "Sort & Display" edit dialogue has a button to list the other sorting
    types so that details can be copied from one to another.
    

Includes changes to:
 Templates:  Addr, AddrBar, FilterOpts, Sorts
             WriteMail, WriteNews, Viewer, Viewer2
 Sprites, Sprites15


Pluto 2.04e  29.Jul.02

Changes to Templates file: "Mail", added "PGP sign" and "PGP encrypt"
field.

1.  Added per User options (in User Edit dialogue) for:
     messages from this User always signed
     messages from this User always encrypted
     
2.  Boxes List window doesn't come to the front after debatch.

3.  Closing Boxes List window discards Box and PGP passwords.

4.  PGP fixes including:
    - display GnuPG photoid when checking signature
    - include PGP report text at top of the text in article viewer
    - PGP keyring window: adjust-click on View button does Check-key
    - PGP keyring window: include count of user ids for each key
    - PGP keyring window: asterisk indicates a photoid in the key


Pluto 2.04c  12.May.02

Changes to Templates file: "WriteMail" (make icon 10 write/click/drag)

1.  A few bug fixes, including fix to "Reply_User" for a Box not working
    reliably


Pluto 2.04b  26.Mar.02

Changes to Templates file: "KillFile", "String"

1.  Filters: Match on "Source" added. This can be used to match messages
    which have been recognised as belonging to a specified mailing list,
    or to one of your email addresses in Lists->Users
    
2.  Filters: "Set status" added to the actions that can be performed by
    a Filter.
    
3.  Filters: "List" option added to the Filters List menu to list the
    details of all the Filters.
    
4.  Pluto as mailing list server: !Pluto.Choices.Maillists.SIGNON_MSG
    and SIGNOF_MSG files can now be either HTML files or text files.
    
5.  Email addresses on the Users List can start with a wildcard character *
    This will match any incoming messages which match the remainder of the
    address. eg.  *zz@domain.co.uk  will match  thiszz@domain.co.uk and
    that.zz@domain.co.uk.  When sending a reply the full original address
    will be used in the From: line.
    
6.  Some fixes to message threading display.

7.  Added option to article list menu to change status of selected articles
    to New-Unread (Red colour status icon).
    
8.  Pressing ESCAPE before or during typing a word disables the spelling
    check-as-you-type until the next blank character (space or newline).
    
    
    


Pluto 2.04a   28.02.02

Changes to Messages file
Changes to Templates file: "Boxes", "Export"

1.  CTRL-SHIFT-Y in the article viewer window (or Display->Encrypt from
    the a.v. menu) encrypts a stored article.
    
2.  CTRL-SHIFT-Y in the Write Mail window will cause the message to be
    signed and encrypted when it is posted.
    
3.  "Delete log copy" option added in the Box Edit dialogue.
    Log copies of newsgroup and mailing list postings will be deleted
    automatically when you receive the broadcast copy from the group,
    if the log copy is kept in the Box which is specified in the
    Newsgroup Edit/Mailing List Edit dialogue for delivery of incoming
    messages.
    
4.  "Manual expiry only" option added in the Box Edit dialogue.
    Automatic expiry does not affect this Box, only a manually run
    expiry from Articles->Expire_articles
    
5.  When Draft articles are automatically deleted after the message is
    posted, they no longer appear in the Bin box.  This was causing
    confusion.
    
6.  Adjust-click on "Q" button closes the "Waiting to be sent" window.

7.  Spell checker recognises errors where two words are concatenated
    and the space between them is missing.
    
8.  Attribution lines in replies can include author's name without email
    address.  Use %B rather than %A in the Y1 to Y4 strings in !Pluto.Messages
    
9.  Dropping a non-text file onto Pluto's iconbar icon will open a new article
    with the file as an attachment.
    
10. Export->Selected_articles, "Marcel" option changed to be compatible with
    Unix MBOX format, to allow export of articles from Pluto to Mutt.

11. Warning given when what is probably meant to be a new thread (different
    subject and no quoted text)is posted as a followup to a newsgroup or
    mailing list .
    

Pluto 2.03e   22.08.01

1.  CTRL-SHIFT-G (HTML-to-text, Remove-tags)
    - operates only on the selected region of text, if there is one
    - doesn't strip newlines and multiple spaces if the text doesn't
      look like HTML
    - replaces sequences such as &#8217; by a single character if they
      are recognised (in this case an apostrophe).
      
2.  "charset=UTF-8" is recognised. The text is decoded into Latin1,
    Latin2, Latin3, or Latin4 whichever seems the best match character
    set.
    
3.  The GnuPG version of PGP is supported. This is available from:
    http://www.sbellon.de/
    
4.  A password can now be set on the Bin box.  This may be useful for
    privacy reasons.


Pluto 2.03b

1.  Multiprocessing is now allowed during periodic saving of Pluto's index
    (Preferences->Misc->Index_Autosave). This prevents the system freezing
    for a couple of seconds while the index is saved if it is large.
    
2.  HTML emails. If there is no plain text part, and the first attachment
    is HTML, then CTRL-SHIFT-G (Remove-tags) will display the HTML in the
    article viewer window as plain text. This means that you can then
    reply to the email and quote from it without having to export
    text from the web browser. The Remove-tags function is available
    from th Display section of the Article Viewer menu. I've renamed
    it now to "Display->HTML to text"

3.  Lists->Mailing_lists. Added a new option to the Mailing List Edit dialogue.
    "Subject strip N chars" will remove the first N characters from the start
    of the Subject of incoming messages to that mailing list. This is useful
    if messages from that mailing list always prefix the Subject with a
    mailing list identifier which is not in square brackets (and so isn't
    removed by the "Strip subject tag" option).
    
4.  Mailing lists are now ordered in article list windows by the mailing
    list Name rather than their email address.


Pluto 2.03a   26.07.01

1.  Articles->Delete_Duplicates has been improved to recognise dupicates which
    differ in minor ways, such as different Path: line in the header.
    The deleted articles are moved to the Bin box and a list is written
    to !Pluto.Backup.log
    
2.  Filter->Text_body now only looks at text up until a signature separator.

3.  Users List shows full email address rather than user name if there is more
    than one domain used.
    
4.  New entry in the article list menu, Status->Unlink_thread.
    This unlinks the selected article (and its children) from its parent to
    form a separate thread. This may be useful if the subject has changed
    and you want to disconnect this sub-thread from the rest.
    Note that if the unlinked article has the same Subject title as its original
    parents it will still be sorted together with them.

5.  Added Status->Add_tick and Status->Remove_tick to the article list menu.

6.  Filter Edit dialog: "(none)" entry added to the Source and Category menus,
    to allow Source and Category to be removed from a Filter.

7.  Pluto saves its index file automatically 15 minutes after the last
    change to it. This default value can be changed, or set to zero to
    prevent automatic saving, from: Preferences->Misc
    The purpose is to avoid the need for Pluto to rebuild its index if
    the system crashes while Pluto is loaded but not being used.
    
8.  Send a fake "Mail delivery failed" response to the sender of a message,
    either the From or the Reply-To address.
    From Send->Fake_undeliverable in the article viewer menu (or ^WU).
    
9.  Lists->Filters: More information added into Filters List window.
    Letters N M L I O  indicate the filter applies to News, Mail, Mail Lists,
    Iconbar, Outgoing, respectively.
    The second match-on string is also shown if there is one.
    

Pluto 2.02e  28.02.01

1.  A response message to signoff requests to a Pluto-run mailing list can
    be given as a file in  !Pluto.Choices.Maillists.SIGNOF_MSG  with the
    mailing list user name (similar to SIGNON_MSG).

2.  URLs to lookup message_ids in internet news article database (deja-news)
    now moved into !Pluto.messages so they can be changed.
    
3.  Fixed problem with colours in 16M colour modes.


Pluto 2.02d   09.02.01

1.  Selection->Make_distribution_list  entry added to the article list menu.
    This makes a list of the From: addresses of the selected articles.
    
2.  When viewing a threaded display, Skip-thread (CTRL-T) moves to the next
    sub-thread at the same level as the current article, rather than the next
    full thread.
    
3.  Problem fixed where debatching News could cause a crash when the
    Followup-To: header line contained several newsgroups.
    
4.  Problem fixed where Quoted-Printable decoding wasn't being applied to
    HTML-only messages.
    

Pluto 2.02c   11.01.01

1.  Fixed bug where a message with just HTML (i.e. not text plus an HTML
    attachment) wouldn't show the contents of the HTML
    
2.  Fixed problem with UUE encoding.  Extra 'a' guard characters removed
    from the end of each line.  Last line before END now ` rather than
    space.
    
3.  log file now in !pluto.backup not !pluto.tmp
    
    

Pluto 2.02    01.04.00

1.  Threads can now be sorted by Subject, Status, date-of-First-article,
    or date-of-Last-article, or score of highest scored article.
    This can be set for a sorting type
    from:
       Preferences->Sorting
       
    The supplied !Pluto.Choices.Display file now includes
      Thread-status, Thread-subject and Thread_score  sorting types.
      
    Thread-status is useful as the default sorting type for newsgroups
    and mailing list because it brings threads which include new unread
    articles to the top of the newsgroup.  Within each Status threads
    are shown in order of their highest scoring article.
    
2.  Scores can be given to articles by using Filters.  If more than one
    Filter applies to an article, the scores can be combined using
    add, subtract, multiply or divide operators.  Article scores are in
    the range -9999 to +9999.
    
3.  Preferences->Filters allows to you specify:
      Score below which articles are automatically discarded
      Score below which articles are marked as Read rather than Unread
      Score above which articles and threads are shown with a Tick beside
        their status icon in article lists.
        
4.  The Status section of the article list and article viewer menus now
    includes a choice to allow you to change the score of stored articles.
        

Pluto 2.01h    20.03.00

1.  Opening an HTML attachment by double-clicking on it's attachment
    icon will include "related" image files in the browser display.
        

Pluto 2.01d    13.03.00

1.  Menu-click on a URL in text brings up a menu of actions:
    send mail, add to CC or BCC, add to address book, fetch web page,
    view message-id, lookup deja-news etc

    
2.  Attachments which are split over several messages.  Select the
    messages then use  Export->Multi-part from the article list menu.
    The messages much have Subjects ending in a serial number of the
    form [1/3] or (1/3) or 1 of 3 so that Pluto can determine the
    correct order.

    
3.  Adjust-click on the Save button in the Write News or Write Mail
    window saves the article in the appropriate Log box with a new status
    type "Draft".  Opening a "Draft" article returns it to the
    Write News or Write Mail window.
    
    The "Draft" article is deleted when the message is posted.
    Pluto's autosave feature now saves to a "Draft" article in
    the Log box rather than to a text file in !Pluto.Backup.  In this
    case, the "Draft" article is shown listed in grey rather than
    black to indicate that it will be deleted if the Write News/Mail
    window is explicitly discarded by the user.
    
    A new status icon in the Sprites15 file ("stat_17") is used to
    "Draft" articles.
    
    
4.  Threading display for messages.
    A new copy of the file  !Pluto.Choices.Display  is included which
    has a sorting type of "Threads".
    This is like the "Newsgroups" sort, but messages are sorted by
    their message-id references rather than simply by Subject.
    
    If you keep Pluto's "Choices" directory somewhere other than
    in !Pluto.Choices (such as in !Boot.Choices) then you must
    copy the Display and Setups files into there from the
    !Pluto.Choices directory.
    
    This features involves a change in the format of Pluto's
    Articles files.  Pluto will run its article Repair function when
    it's first run, to convert the articles files to the new format.
    
    In order to add message-id information to previously stored
    articles, you will need to run Misc->Compile_References_Index
    from Pluto's iconbar menu.
    
    This will read the internet headers of all the stored articles
    and add the message-id information to Pluto's index.  This can
    take a long time to run if you have a large number of stored
    articles.  The maximum number of References message-ids that
    Pluto stores in its index is determined by
       Preferences->News/mail->Keep_references
    If you are short of RAM memory on your computer, set this to
    1 to minimise the size of Pluto's index (!Pluto.Articles.Cards)
    which it keeps in memory.  A large value will enable Pluto
    to construct threads by linking articles to their distant
    ancestors even if the immediate parents are missing.
   
    CTRL-I and CTRL-SHIFT-I in the article list will shift the
    threaded display to the left and right.  This is useful if you
    have a large number of levels of indentation.
    
    CTRL-A on an article in a threaded display will select articles
    at the same level and lower as the selected article.
    
    
5.  Preferences->Delivery->Local_mail option added.
    This causes mail which you send to your own addresses to be
    delivered interally without being sent to your ISP and back.
    


V 1.14b

1.  Fix leap-year bug.

V 1.14  09.02.00

1.  "Fetch bodies" list is shown in the outgoing "Q" window, so you
    can Hold and Unhold it (i.e. defer the fetches until later).
    
2.  A new "Mail List Server" type added in the User Edit dialogue.
    "Restricted" means that only messages from subscribed members will
    be broadcast automatically.  Non-subscribed posters receive an
    error response.
    (I'll not be using this for the Pluto-L list)
    
3.  Cancelling a Search will keep any articles which have been found
    so far.
    
4.  Content-transfer-encoding: uuencode  and
    Content-transfer-encoding: x-uuencode   attachments now supported.
    
5.  New option:  Preferences->Delivery->Obey_Status_O
    The  Status: O  line in a message is only obeyed if this option is
    set.  If set, then "Status: O" causes a message to be debatched as
    "Unread" (orange) rather than "New Unread" (red).
    
6.  Debatch only changes "New unread" (red) to "Unread" (orange) in a Box
    if some "New" articles in that Box were read since the previous
    Debatch.

    An option:    Preferences->Delivery->Change_new_to_unread
    controls whether this applies per Box, per Source/Newsgroup, or
    for all (as previously), or None (i.e. New->Unread isn't done
    automatically).

    New->Unread can be done manually with  Articles->Change_new_to_unread
    
7.  The "header only article" indication in the article list (grey
    subject name) is now shown for groups of articles (Subject,
    Newsgroup) if all articles in the group are header-only.
    
8.  Reply-Forward from the Reply dialogue now includes "Forwarded message
    - From, Date, Subject" at the start of the text, and precedes the
    Subject title with "Fwd: ".
    A new option "Reply-Re-send" has been added to re-send a copy of a
    message (eg. from your Log box). 
     
9.  3-choice error boxes used for
      "Include original CC addresses?"
      "Message contains non ISO-8859 characters"
      
10. Fixed crashes:
    -  F6 in article list
    -  Open a selection of Boxes after a Debatch
    
11. Addresses in the To: and Cc: lines now take precedence over the
    Envelope-To: line in determining which of the user's email addresses
    a message is addressed to.  This is needed because with domain
    forwarding the Envelope-To: line doesn't contain the original address.
    
12. "Status" field added to the "Search & Select" dialogue (under the
    "More" section).  This allows articles of a specified Status to
    be selected (eg. Unread, Locked, Replied)

    
      
V 1.13f  23.11.99

1.  Added option to User Edit dialogue  "Don't allow posting mail"
    as well as "Don't allow posting news".
    
2.  User field in Write News/Mail windows shows full email address
    if the User name part is ambiguous.
    

V 1.13d  16.11.99

1.  CTRL-SHIFT-E in Write Mail or Write News windows invokes the
    extrenal editor.
    
2.  UUE/MIME selector in the Write Mail window how has MIME/RISC OS
    and MIME/PC options.  MIME/PC adds a filetype extension to attachments
    and uses "Content-Type: application/octet-stream" rather than
    "Content-type: application/riscos" for non-recognised filetypes.
    
3.  Killfile button added to the article list window to kill the
    currently selected thread.
    
4.  Bug fixed in setting passwords for Boxes (which Pluto sometimes
    forgot).

V 1.13b

1.  To set up a text message to be sent to anyone who subscribes to your
    mailing list, put a text file in !Pluto.Choices.MailLists.SIGNON_MSG
    whose filename is the same as the mailing list name (eg. pluto-L )    

2.  Option added to the User Edit dialogue to prohibit news posting from
    a user email address.  This can be used to ensure that this address
    is not used in news postings.

3.  "Search & Select" dialogue now includes a "Signature" option.
    The signatures of articles are only searched if this is ticked.
    
4.  "From" user field added to the Bounce Messages dialogue, so you can
    select which User you are bouncing from.
    

V 1.13

1.  System variable Pluto$Articles can be used to specify the location
    of the directory which contains the articles files.

V 1.12t

1.  "Backups" item added to iconbar menu to open a directory viewer for
    !Pluto.Backup
    
2.  Mailing list server.  Reply-To: line is only added to broadcast messages
    if there's an address in a  !Reply-To:  section of the distribution list.

3.  The text of spoken announcements is now in the !Pluto.Messages file.


V 1.12n 01.09.99

1.  New filter type for the Envelope-To line of headers

2.  Message size field added to outgoing message queue list window.

3.  Preferences->Delivery->Obey Status R  option added.


V 1.12h 17.08.99

1.  Newsgroups List split into different lists for Newsgroups and Mailing Lists.
    (now  Lists->Newsgroups  and  Lists->Mailing_lists).
    
2.  Preferences->Delivery->Mailing_Lists added to set the default Box for
    delivery of mailing list messages.
    
3.  Filters.  A separate "Discard" action is provided.  The "(none)" value
    for the Box action now means "don't change the Box".
    Different Filters can now apply to a single message, each changing
    different items of the message (Box, Copy box, Category, Source)

V 1.12  03.08.99

1.  Selecting from the address book puts the Name rather than the Alias
    into a field.  Hold down Shift to use the full email address instead.
    
2.  Initial-select-user option.  Opens the Users List full size.
    Users List closes when the User has been selected.

3.  Special header lines in internet header are shown at the top of
    the text window. (Followup-to, Newsgroups, Reply-to, Resent-to, Resent-from).
    
    CTRL-SHIFT-E (allow edit) causes header lines to revert to their
    original sequence.
    An option has been added to Preferences->Colour to specify their colour.
    
4.  If you give a Source name an "explanation" name (in Lists->Sources) then
    this will be shown instead of the Source name in article lists.
    
5.  Use MimeMap module if present.

6.  Attachment menu: "Save" and "Info" options added.
    "Save" is useful to save an attachment to a file with a different name.

7.  Show nested MIME parts as separate attachments.

8.  Spoken announcements added for completion of:
     Search, Delete Duplicates, Repair/Compact, Find fault, Compact all.
     
9.  Outgoing "Q" window doesn't jump to front of window stack.

10. Users List.  The order of entries can be altered by Shift+CursorUp/Down.

11. Autosave file from the Write News/mail window is now saved inside the
    !Pluto.Backup directory.  Two generations are kept: Autosave and Autosave2.
    
12. Button added to Write News window to turn it into Write Mail and vice
    versa.  This is needed for GNKSA requirements.
        
13. CTRL-SHIFT-X in a text window cuts text and adds the word "[snip]" in its
    place.  The Snip text string is given in the !Pluto.Messages file.

14. Double-click on a message-id in a text window will open a browser
    window with a URL which will look up the article in Deja News.
    Message-id can be of the form:
       news:12345678jsd@argonet.co.uk   or
       <12345678jsd@argonet.co.uk>

15. Filter Entry dialogue: "Set Source" and "Set Category" fields added.

16. Proper menus provided for Source and Category selection.

17. Adjust-shift-drag in an article list can be used to select non-continuous
    groups of entries.
    
18. "Format Text" button added to Write Mail, Write News, and Article Viewer
    windows, to perform the CTRL-F and CTRL-AF actions.
    Select-click formats the paragraph at the cursor, or the selected text.
    Adjust-click formats all the text.
    This button does not appear in the Write Mail/News windows if the
    External Editor option is selected.
    
19. "Add sender to address book", "Author Kill" and
    "Subject/thread Kill" buttons added to article viewer.

20  User Edit dialogue:  "Default User" field now renamed as "Reply User".
    If set, this will set the User to this value for all replies from this
    box, irrespective of the original destination of the message that
    you're replying to.
    
21  Speech options:  "Punctuation" option added to speak punctuation synbols
    or groups of symbols (eg. smilies).  
    

V 1.11o  01.7.99

1.  Fix to problem in 1.11m with Pluto windows becoming on a screen mode change.

V 1.11m  29.6.99

1.  Export->Attachments option added to the article list menu.
    This saves all the attachments from a selection of articles into
    a directory.  For duplicate names, suffices ~1, ~2, etc are added
    (long filenames are allowed for RISC OS 4, or for raFS:)
    
2.  Fix to a possible cause of crash when using the ADD action from
    the REPLY dialogue.
    
3.  + key on the numeric keypad duplicates the action of CTRL-T (skip
    thread) in article list and article viewer windows.
    

V 1.11L 16.6.99

1.  AND and AND-NOT alternatives added for use with the second condition
    of a Filter.
    
2.  Sorting an article by "Status" puts any Outgoing messages at the end
    of the list.
    
3.  "Attachment" indicator is carried up the the Thread level in
    sorting by Newsgroups (needs new  !Pluto.Choices.Display file).
    

V 1.11j 20.04.99

1.  Choices:Pluto  can be used instead of  !Pluto.Choices  (if you wish)
    as the location of Pluto's Choices directory.
    The Signature directory has been moved inside the Choices directory.

V 1.11h  8.04.99

1.  Options added to Newsgroup Edit dialogue, for newsgroups and mailing lists:
    a.  Read-only:  Gives a warning if you post a message to this newsgroup
        or mailing list.
    b.  Split Digests:  Splits Digests (which contain a
          "Content-Type: Multipart/Digest" header line into individual messages
          
2. Preferences->Speech  Added Voice options for quoting levels 3 and 4.

3. Regular Expression search option added to Filters.  This only applies
   to Title, Author, Newsgroups, Text and Header filters.
   
4.  Tab Width option added to Preferences->Misc

5.  Source field now set correctly for Log copies of outgoing messages.
    This means that you can put Log copies from several Users into one
    Box abd sort the Box by "Source" to group them by User.

6.  Distribution List names now work in the Address Book.

7.  Article Viewer: Some internet header lines are shown a different colour:
     To, Cc, Newsgroups, Followup-To, Reply-To, Approved


V 1.11d  25.02.99

1.  Added a "news server" field for each newsgroup (NewsHound news transport
    only).
    
2.  Option to strip [xxx] tags at the start of Subject lines.

3.  Preferences->Spellcheck.  Option added to ignore text in angle brackets.
    This is useful for spellchecking HTML or for ignoring URLs. 

4.  "Signature" field added to the User Edit dialogue.  This means that
    the name of the default signature file in !Pluto.Signature for each user
    is not constrained to be the same as the user name.  So you can have
    two users with the same user name (and different domains) with different
    signature files.


V 1.11c  15.02.99

1.  SHIFT-INSERT and CTRL-INSERT added for Copy and Paste.  These do
    the same as CTRL-C and CTRL-V in "Clipboard" mode.  In "!Edit" mode,
    they allow the clipboard to be used.
    
2.  Case-insensitive searches now ignore accents on charcaters (Latin 1 only).

3.  When using spellcheck check-as-you-type, pressing ESCAPE immediately
    before the word terminator (space, dot etc) will suppress the spellcheck.
    This is useful if you know that the word will fail the spellcheck (eg
    a proper name, abbreviation, etc) and you don't want the beep to sound.

4.  Precision of "Date" field in the Article Viewer increased to 1 minute.
    
5.  Spellcheck is done on words which contain numeric as well as
    alphabetic characters.



V 1.11b  06.02.99

1.  Export of articles with the "Full" header option now includes
    article status information (locked, replied, etc).  This is used
    when articles are loaded back into Pluto.

V 1.11a  05.02.99

1.  References: line added to the header of Mail messages.

2.  Latin2,3,4, and 9 alphabets recognised from Content-Type: lines
    and the appropriate versions of RISC OS fonts used to display their
    characters.
    
    Note: to get the Latin9 alphabet, lines have been added the
    !Pluto.!Run file to run the FontsISO15 module and run !Fonts
    
    
3.  Options added to the Find Text and Make Subset windows (F4 from the
    article viewer and article list windows respectively) to use
    Regular Expressions in the search string.  To use this, you'll need
    Neil Bird's RegEx module, from:
          http://grape.orangenet.co.uk/~nabird/software.html
          
4.  You can now edit the properties of the Bin box.



V 1.10g 22.Jan.99

1.  Fixed problem with editing in Box Edit dialoue box.
    The "Strip Headers" option was being set in error when trying
    to set other options.
    
2.  User-Agent: line used in headers rather than X-Newsreader & X-Mailer

3.  "Body-fetched" status is now given priority over "New Unread" status
    at Thread level in Article Lists.
    

V 1.10e  9.Jan.99

1.  Some improvements to Filters.  A Filter can now have two conditions.
    Filters can operate on Text messages (i.e. those dropped into Pluto's
    iconbar icon) and on outgoing messages.  More to follow.
    
2.  Multiprocessing inhibited during Pluto's system-shutdown sequence.
    This may have been causing problems with corruptions to article files.

3.  Improvement to inserting newlines into quoted text.  A second newline
    will leave a blank line without quote characters.
    
4.  Option added to  Preferences->SpellCheck.  Don't check words which are
    all capital letters.

V 1.10d

1.  Inserting Newline into quoted text will repeat the quote characters
    at the start of the new line.
    
2.  Searching Articles (Make Subset dialogue).  If no search string is
    given, then all articles (in the specified date range if one if given)
    are selected.
    
3.  Mail list command messages (Subscribe, Unsubscribe) now don't need to
    the mailing list name in their Subject line aftet the command.
    
4.  "Replied" status is shown at thread level even when there are Unread
    articles in the thread. (Needs new version of the Sprites15 file).
    
5.  Articles counts in Boxes List and Article Lists are now right justified.

6.  "Q" Waiting to be sent list now indicates messages with attachments,
    using the "+" symbol.
    
7.  Improved sprites for Address Book colour codes the "Q" button by
    lenny@argonet and Christian Floeter.
    
8.  Added "Message->Archive" option to the article viewer menu.

9.  Pressing Escape in an article list window during an operation on
    selected articles in a list (eg. Status->Read) will terminate the
    operation.
    

V 1.10

1.  Adjust-click on the close button of an article list will open the
    Boxes List, select-click doesn't.
    
2.  If there is insufficient memory to debatch some articles, these
    are appended to  !Pluto.Backup.ErrMail  and  !Pluto.Backup.ErrNews
    
3.  Articles in a subset list selected by a specified text string:
    When articles in the subset list are opened, the first occurence
    of the text string is highlighted.
    
4.  Make Subset dialogue:  CTRL-A, -T, -C, -K, -B, -I, -S  will toggle
    the Author, Title, Comment, Keys, Body, Internet-header, and
    Case-Sensitive options.
    
    Dialogue box layout changed.
    
    The settings of these fields are now remembered for the next time
    the Make Subset dialogue is opened.
    
    "Search selection" is automatically selected if there is a selection
    of articles in the article list.
    
    Make Subset dialogue is given the input focus with the caret in the
    "String" field.
    
5.  Spell check window.  Clicking Replace, Add, or Ignore, buttons
    during check-as-you-type will close the spell window.

6.  The References: line in outgoing news messages is restricted to 1000
    characters.
    
V 1.09l

1.  Articles->Delete_duplicates  option added from the iconbar menu.
    This will delete any duplicates copies of articles (which are in the
    same box).

V 1.09k  24.Sep.98

1.  Addresses in incoming emails are recognised if there is a "+"
    part at the end of the user name.  The "+" extension is ignored.
    
    eg.  jsd+text@argonet.co.uk  will match with
         jsd@argonet.co.uk
    
2.  Fixed a bug which could cause corruption of the article index,
    resulting in garbage author and subject information etc. in article
    lists.
    

V 1.09j  09.Sep.98

1.  Fix to global clipboard to work with Zap

2.  Option in Preferences->Sorting->xxx for whether Next means
    forwards or backwards.
    
3.  Copy of  !Pluto.Choices  directory into  !Pluto.Backup made
    every 7 days.
    

V 1.09h  07.Sep.98

1.  Fix to global clipboard

2.  Spellcheck:
    a. Check-as-you-type "open" option highlights the bad word when the
       spell window opens.  ESCAPE clears the highlight.
    b. ESCAPE closes spell window.
       


V 1.09g  27.Aug.98

1.  Speed and Volume controls added in  Preferences->Speech

2.  Pluto stops Voyager's News Waiting and Mail Waiting buttons from
    flashing after debatching.  This now works for Newshound and POPStar
    as fetchers, as well as Voyager.
    
3.  CTRL-E (set read) does not affect articles with "Fetching" status
    (i.e. those marked with CTRL-B to fetch their full body).
    
4.  The action of Next and Previous are reversed when the lowest level
    of sorting in an article list is one with the "Rev" (reverse) button
    ticked in Preferences->Sorting.  For example, where articles are
    listed in date order starting with the most recent.
    
    
V 1.09f  18.Aug.98

1.  Header-only articles now show the size of the full article in
    the text part of the article viewer.  This only works if you use
    the "xover" option in Newshound to fetch the header-only messages,
    as this adds a  Bytes:  line to the end of the message header.
    
2.  Various bug fixes.

V 1.09d

1.  Iconising the Article Viewer changes that article into an "Additional
    Article Viewer" so that is unaltered even if you display further
    articles in the main Article Viewer.
    
2.  Shift-Double-Click on groups/threads in an article list will open
    all selected groups/threads.  Note that you need to double-click with
    Adjust to keep more than one item selected. 
    
3.  Speech: Highlighting a single word with * or _  (eg. *word* or
    _word_) will cause it to be emphasised.  When this happens, the
    * character will not be spoken as "star" or "asterisk".
    Use version 2.13 or later of the Speak module for best results.

4.  Option added to the article list menu to remove attachments from
    a selection of articles.
    
5.  Hourglass is removed when pointer moves out of a Pluto window,
    during a multi-tasking operation, and re-instated when it is moved back.

6.  When using Search/Select to create a subset article list, closing
    the new subset window will abandon the search.
    
7.  The  "Sender:" line or "X-Mailing-List-Name:" line in the message header
    (if there is one) is also checked to recognise a mailing list address.
    
8.  News sorting type added: Sort by Domain.

9.  Changing the sorting type in an article lists. The newly sorted list
    is opened and scrolled to display the line which was selected before
    the sorting.
    
    
V 1.09c

1.  Changing status of articles updates the Unread count in the
    Boxes List.
    
2.  UUE encoding.  Use ` characher rather than space in encoded data.

3.  Unread articles are not expired unless the "Expire Unread Articles"
    option is set for the box.
    
4.  Exporting from article lists: Pluto now picks up the default
    filename ("ExportOut") from the "Export" template in the
    !Pluto.Templates  file, so you can change it with a template
    editor if you wish.
    
5.  Cancel button added to the "Expiring Articles" window.  This allows
    the expiry to be aborted.
    
6.  Strip Internet Headers wasn't working on Filtered articles.
    Fixed now.
    
7.  Print dialogue now has a Print selected text option.
    This only works with tye printer's built-in font, not outline fonts.
    
8.  Sorting now treats accented characters as the same as their non-accented
    version.
    
9.  Added a Menu to the Newsgroups List window.
    
    
V 1.09b

1.  Option added to Box Edit dialogue, "Log Replies into this Box".
    When repling to messages from this box, the log copies of the
    replies are also put into this box.
    
2.  "Set Replied" and "Unset Replied" options added to the
    article lists->status menu.  Set and unset the "Replied" indicator
    of the selected articles.
    
V 1.09
 
1.  The top of the article viewer button bar remains fixed, not the
    bottom, when stepping through articles.
    NOTE.  You may need to re-set the standard position of the
    article viewer window using the  Preferences->Save_Positions option.
    
2.  Option in address book to lock the log copy of emails which are
    sent to that address.
    
3.  Option added:  Preferences->Misc->Movable_Article_Viewer
    When set, the article viewer window does not return to its standard
    screen position whenever you open a new article.
    
4.  Warning given on System Shutdown if there is unsaved text in a text
    window.
    
5.  New article status icon for "Fetch body requested"

6.  Multi-tasking operation is speeded up by having a minimum time of
    100mS between wimp polls.
    
7.  Sending replies to emails with very long To: or Cc: lines.
    Pluto creates a temporary distribution list if there are too many
    addresses to fit into the CC field of the Write Mail window.

8.  Fix.  Adding keywords to an article (or lengthening its Subject
    title) sometimes caused a corruption
    in the article index, and duplicate copies of the article.
    This should now be fixed.
        
9.  Fix.  Multiple CC's were not being carried forward into an email
    reply.
    
10.  Fix.  Absurdly long From: lines in incoming messages could cause
    crash or corruption.
    
